#!/bin/bash

INSTALL_DIR=$(pwd)
CRON_LINE="#HARMONOGRAM SKRYPTOW DOSTACZANYCH PRZEZ EDOKUMENTY URUCHAMIANY Z /etc/cron.d/edokumenty"

if sudo grep -Fxq "$CRON_LINE" /etc/crontab; then
	echo -e "\033[01;33m Wpis już istnieje w /etc/crontab.\033[00m"
else
	echo "$CRON_LINE" | sudo tee -a /etc/crontab > /dev/null
	echo -e "\033[01;33m Dodano wpis do /etc/crontab.\033[00m"
fi

# Skopiuj plik crona do katalogu /etc/cron.d/

cp -vp $INSTALL_DIR'/lib/backup/edokumenty' /etc/cron.d/
chmod 644 /etc/cron.d/edokumenty